Bug 26154 - Remove the use of jquery.checkboxes plugin from batch item deletion and modification
Summary: Remove the use of jquery.checkboxes plugin from batch item deletion and modif...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-08-05 18:53 UTC by Owen Leonard
Modified: 2020-10-12 09:31 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26154: Remove the use of jquery.checkboxes plugin from batch item deletion and modification (4.57 KB, patch)
2020-08-05 19:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26154: Remove the use of jquery.checkboxes plugin from batch item deletion and modification (4.56 KB, patch)
2020-09-28 00:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26154: Remove the use of jquery.checkboxes plugin from batch item deletion and modification (4.61 KB, patch)
2020-09-28 02:09 UTC, David Nind
Details | Diff | Splinter Review
Bug 26154: Remove the use of jquery.checkboxes plugin from batch item deletion and modification (4.67 KB, patch)
2020-10-11 12:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-08-05 18:53:11 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should be replaced on the batch item deletion and batch item modification pages.
Comment 1 Owen Leonard 2020-08-05 19:03:49 UTC
Created attachment 107858 [details] [review]
Bug 26154: Remove the use of jquery.checkboxes plugin from batch item deletion and modification

This patch removes the use of the jquery.checkboxes plugin from the
batch item modification and batch item deletion pages.

To test, apply the patch and go to Tools -> Batch item
modification.

 - Submit a batch of barcodes.
 - On the results page, test the "Select all" and "Clear all" controls
   at the top of the page. These should work correctly on the checkboxes
   in the table of results.
 - Test that the "Clear on loan" control still works to uncheck
   checkboxes corresponding to items which are checked out.
 - Test the "Show all columns" and "Hide all columns" checkboxes in the
   "Show/hide columns" section. These should work correctly on the
   checkboxes for showing and hiding columns in the table.
 - Go to Tools -> Batch item deletion.
 - Submit a batch of barcodes.
 - Repeat the same testing steps above (except the "Clear on loan"
   step).
Comment 2 David Nind 2020-09-27 19:55:58 UTC
The patch no longer applies 8-(
Comment 3 Owen Leonard 2020-09-28 00:57:53 UTC
Created attachment 110832 [details] [review]
Bug 26154: Remove the use of jquery.checkboxes plugin from batch item deletion and modification

This patch removes the use of the jquery.checkboxes plugin from the
batch item modification and batch item deletion pages.

To test, apply the patch and go to Tools -> Batch item
modification.

 - Submit a batch of barcodes.
 - On the results page, test the "Select all" and "Clear all" controls
   at the top of the page. These should work correctly on the checkboxes
   in the table of results.
 - Test that the "Clear on loan" control still works to uncheck
   checkboxes corresponding to items which are checked out.
 - Test the "Show all columns" and "Hide all columns" checkboxes in the
   "Show/hide columns" section. These should work correctly on the
   checkboxes for showing and hiding columns in the table.
 - Go to Tools -> Batch item deletion.
 - Submit a batch of barcodes.
 - Repeat the same testing steps above (except the "Clear on loan"
   step).
Comment 4 David Nind 2020-09-28 02:09:08 UTC
Created attachment 110833 [details] [review]
Bug 26154: Remove the use of jquery.checkboxes plugin from batch item deletion and modification

This patch removes the use of the jquery.checkboxes plugin from the
batch item modification and batch item deletion pages.

To test, apply the patch and go to Tools -> Batch item
modification.

 - Submit a batch of barcodes.
 - On the results page, test the "Select all" and "Clear all" controls
   at the top of the page. These should work correctly on the checkboxes
   in the table of results.
 - Test that the "Clear on loan" control still works to uncheck
   checkboxes corresponding to items which are checked out.
 - Test the "Show all columns" and "Hide all columns" checkboxes in the
   "Show/hide columns" section. These should work correctly on the
   checkboxes for showing and hiding columns in the table.
 - Go to Tools -> Batch item deletion.
 - Submit a batch of barcodes.
 - Repeat the same testing steps above (except the "Clear on loan"
   step).

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Katrin Fischer 2020-10-11 12:03:12 UTC
Created attachment 111444 [details] [review]
Bug 26154: Remove the use of jquery.checkboxes plugin from batch item deletion and modification

This patch removes the use of the jquery.checkboxes plugin from the
batch item modification and batch item deletion pages.

To test, apply the patch and go to Tools -> Batch item
modification.

 - Submit a batch of barcodes.
 - On the results page, test the "Select all" and "Clear all" controls
   at the top of the page. These should work correctly on the checkboxes
   in the table of results.
 - Test that the "Clear on loan" control still works to uncheck
   checkboxes corresponding to items which are checked out.
 - Test the "Show all columns" and "Hide all columns" checkboxes in the
   "Show/hide columns" section. These should work correctly on the
   checkboxes for showing and hiding columns in the table.
 - Go to Tools -> Batch item deletion.
 - Submit a batch of barcodes.
 - Repeat the same testing steps above (except the "Clear on loan"
   step).

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2020-10-12 09:31:01 UTC
Pushed to master for 20.11, thanks to everybody involved!